Bug 481389 - Review Request: beesu - Beesu is a wrapper around su
Review Request: beesu - Beesu is a wrapper around su
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-23 18:03 EST by bee
Modified: 2014-07-08 16:01 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 21:13:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description bee 2009-01-23 18:03:56 EST
Spec URL: http://www.2shared.com/file/4710092/c00ed859/beesu.html
869a510778a3dc308c44f9b3cf1cde935e4158f9  beesu.spec

SRPM URL: http://www.2shared.com/file/4710086/de782d01/beesu-20-1fc10src.html
be7fd8990692e33bc92d37fb0849575b8c8f62f1  beesu-2.0-1.fc10.src.rpm

Description: Beesu is a wrapper around su and works with consolehelper under
Fedora to let you have a graphic interface like gksu.

It's to replace the missing gksu in Fedora.

Lots of users are happy of beesu!!
Here is the HOW-TO/homepage about beesu:
http://forums.fedoraforum.org/showthread.php?t=201579

Some comments:
http://forums.fedoraforum.org/showpost.php?p=1120956&postcount=30
http://forums.fedoraforum.org/showpost.php?p=1121999&postcount=34
http://forums.fedoraforum.org/showpost.php?p=1130642&postcount=36
http://forums.fedoraforum.org/showpost.php?p=1154044&postcount=38

So, i thought...why not!? it's useful!, so it could be placed into some YUM repo, hopefully!!!

bye!!!!
Comment 1 bee 2009-01-27 15:11:49 EST
If nobody has posted here, it's because i've no sponsors!!

I need one sponsor!!!! i'm seeking for a sponsor; somebody to help me to push my beesu into yum!!
will you help me?
thanks if yes!

bye!!!!!
Comment 2 Šimon Lukašík 2009-01-27 15:35:31 EST
I added FE-NEEDSPONSOR blocker to this bug, so Sponsors can easily find you.
Comment 3 bee 2009-01-28 11:41:59 EST
Thank you for your help Simon lukasìk!!!!
But, how much time do i have to wait for a sponsor to find me? i see nobody around!
Thank you again!!

bye!!
Comment 4 Itamar Reis Peixoto 2009-01-28 12:23:03 EST
sponsors generally are too busy, don't worry, someone will sponsor you as soon as possible, but if you like to speed up this process then you can submit more packages to review
Comment 5 manuel wolfshant 2009-01-28 19:14:19 EST
bee: for the beginning, a real name might help. Second, you can do pre-reviews in order to prove your packaging skills. See http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored#Sponsorship_model
Comment 6 bee 2009-01-29 08:30:36 EST
Thank you!!
I took one account there ( https://admin.fedoraproject.org/accounts/user/view/honeybee ).
But now what have i to do?
Because BEESU is the only package i want to upload in YUM. As it's the only one, you could just upload it for me!! that would be easy for me, because i don't know how to do it. I'm really looking for somebody to push beesu into YUM!
My RPM is excellent, it has 0 warnings in rpmlint!! i did it with leigh on fedoraforum!!! it works very good!
could you be my sponsor? if no, can you just upload beesu into yum?(this would be perfect for me!! very easy!!!)
thank you again!

bye!!!!!
Comment 7 Tom "spot" Callaway 2009-01-29 17:33:15 EST
After talking with bee (the upstream maintainer), I'm taking this over and I will be maintaining this upon inclusion:

New SRPM: http://www.auroralinux.org/people/spot/review/new/beesu-2.1-1.fc11.src.rpm
New SPEC: http://www.auroralinux.org/people/spot/review/new/beesu.spec
Koji Scratch Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1092095
Comment 8 manuel wolfshant 2009-01-29 18:24:06 EST
review under way
Comment 9 manuel wolfshant 2009-01-29 18:42:20 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of package: 7fe731f15a97fc0a926a145bc48c2b42cc1d10fb  beesu-2.1.tar.bz2
 [x] Package is not known to require ExcludeArch
 [-] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
not needed, it's a wrapper
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [x] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the test passes.

=== Final Notes ===
1. You should also make it parallel make compliant. Fortunately the program builds in a couple of secs so it's not a big deal.


================
*** APPROVED *** under the condition that spot will be the Fedora maintainer
================
Comment 10 bee 2009-01-30 04:59:17 EST
Thank you Tom and Manuel!!!
i'm so happy and sure it's okay if spot will be the Fedora maintainer!! That's very very good!!! you were so kind and honey with me and beesu!! thanks a lot!!!!
i'll still floating around here, so just post a message if you need me to ask me about anything!

bye!!!!
Comment 11 Tom "spot" Callaway 2009-01-30 10:46:15 EST
New Package CVS Request
=======================
Package Name: beesu
Short Description: Beesu is a wrapper around su
Owners: spot
Branches: F-9 F-10 devel EL-4 EL-5
InitialCC: 

...and it's done.
Comment 12 Fedora Update System 2009-02-04 21:12:58 EST
beesu-2.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-02-04 21:24:35 EST
beesu-2.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Tom "spot" Callaway 2014-07-08 15:16:32 EDT
Package Change Request
======================
Package Name: beesu
New Branches: epel7
Owners: spot
Comment 15 Gwyn Ciesla 2014-07-08 16:01:17 EDT
Already has an epel7 branch.

Note You need to log in before you can comment on or make changes to this bug.